<?
/********************************************************************
 * NotFTP 
 * Copyright (c) 2002, 2003 by Ryan Grove <ryan@wonko.com>
 * All rights reserved.
 *
 * This script is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston,
 * MA  02111-1307  USA
 ********************************************************************/

require_once("functions.php");
require_once("lib/header.php");
?>

<form action="ftp.php" method="post">
<table>
    <tr><td class="loginName">
        <?=$text['host']?>
    </td><td class="loginValue">
        <?
        // Should we use a list, or a straight textbox?
        if (USESERVERLIST)
        {
			// List
			?>
			<select name="address">
				<?
				foreach($servers as $server)
				{
					?>
					<option value="<?=$server[0]?>"><?=$server[0]?></option>
					<?
				}
				?>
			</select>
			<?
		}
		else
		{
			// Textbox
			?>
            <input type="text" name="address" maxlength="255" size="20"/>
            <?
		}
		?>
    </td><td class="loginExample">
        <?=$text['hostexample']?>
    </td></tr>

    <?
    if (ALLOWUSERPORT === true && USESERVERLIST === false)
    {
		?>
		<tr><td class="loginName">
			<?=$text['port']?>
		</td><td class="loginValue">
			<input type="text" name="port" maxlength="6" size="3" value="<?=DEFAULTPORT?>"/>
		</td><td class="loginExample">
		</td></tr>
		<?
	}
    ?>
    
    <tr><td class="loginName">
        <?=$text['user']?>
    </td><td class="loginValue">
        <input type="text" name="user" maxlength="50" size="20"/>
    </td><td class="loginExample">
        <?=$text['leaveblank']?>
    </td></tr>

    <tr><td class="loginName">
        <?=$text['pass']?>
    </td><td class="loginValue">
        <input type="password" name="pass" maxlength="50" size="20"/>
    </td><td class="loginExample">
    </td></tr>

	<tr><td class="loginName">
		<?=$text['language']?>
	</td><td class="loginValue">
		<select name="language">
			<?
			foreach($languages as $lang)
			{
				if (isset($_COOKIE["notftplang"]) && $_COOKIE["notftplang"] == $lang["abbr"])
				{
					?>
					<option value="<?=$lang["abbr"]?>" selected="selected"><?=$lang["name"]?></option>
					<?
				}
				else
				{
					?>
					<option value="<?=$lang["abbr"]?>"><?=$lang["name"]?></option>
					<?
				}
			}
			?>
		</select>
	</td><td class="loginExample">
	</td></tr>

	<tr><td class="loginName">
		<?=$text['style']?>
	</td><td class="loginValue">
		<select name="style">
			<?
			foreach($styles as $style)
			{
				if (isset($_COOKIE["notftpstyle"]) && $_COOKIE["notftpstyle"] == $style["shortname"])
				{
					?>
					<option value="<?=$style["shortname"]?>" selected="selected"><?=$style["name"]?></option>
					<?
				}
				else
				{
					if ($style["shortname"] == DEFAULTSTYLE)
					{
						?>
						<option value="<?=$style["shortname"]?>" selected="selected"><?=$style["name"]?></option>
						<?
					}
					else
					{						
						?>
						<option value="<?=$style["shortname"]?>"><?=$style["name"]?></option>
						<?
					}
				}
			}
			?>
		</select>
	</td><td class="loginExample">
	</td></tr>
	<?
	if (extension_loaded("openssl"))
	{
		?>
		<tr><td class="loginName">
			SSL-FTP:
		</td><td class="loginValue">
			<input type="checkbox" id="ssl" name="ssl" value="1" />
			<label for="ssl"><?=$text['sslftp']?></label>
		</td><td class="loginExample">
		</td></tr>
		<?
	}
	?>
</table>

<br />
<input type="submit" value="<?=$text['login']?>" />
</form>
<?
include_once("lib/footer.php");
?>